The getImageChannelKurtosis purpose

- « Imagick::getImageChannelExtrema

- Imagick::getImageChannelMean »

- PHP Manual
- Imagick
- The getImageChannelKurtosis purpose

# Imagick::getImageChannelKurtosis

(PECL imagick 2 >= 2.3.0, PECL imagick 3)

Imagick::getImageChannelKurtosis — The getImageChannelKurtosis purpose

### Description

public Imagick::getImageChannelKurtosis(int `$channel` = Imagick::CHANNEL_DEFAULT): array

Get the kurtosis and skewness of a specific channel. This method is available if Imagick has been compiled against ImageMagick version 6.4.9 or newer.

### Parameters

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channel constants using bitwise operators. Defaults to `Imagick::CHANNEL_DEFAULT`. Refer to this list of channel constants

### Return Values

Returns an array with `kurtosis` and `skewness` members.

### Errors/Exceptions

Throws ImagickException on error.